/* global variables to be stored in preferences */
struct globals {
  Word zero_x, zero_y;             /* zero gravity (no tilt) */
  DWord map[4];                    /* mapping of four directions */
  unsigned char sensivity, flags;
  DWord last_key, last_tick;       /* state/time of tilt keys */
};

#define FLAG_CURKEY   1
#define FLAG_EVENT    2
#define FLAG_REP_ONCE 4
#define FLAG_REP_EXCL 8

/* prototypes */
Err  tilt_init(struct globals *glob);
Err  tilt_get(struct globals *glob, Word *x, Word *y);
Err  tilt_zero(struct globals *glob);
void tilt_prefs(struct globals *globs);
void tilt_power(Boolean on);

#define CREATOR 'TiHa'
